export interface ITraining {
  id: string
  title: string
  type: {
    id: string
    name: string
    description: string
  }
  createdAt: string
  trainingDate: string
  location: string
  registrations: string[]
  attendance: number
  ratings: IRating[]
  published: boolean
  blocks: IBlock[]
}

export interface IBlock {
  id: string
  sequence?: number
  title?: string
  comment?: string
  description?: string
  duration?: number
  repetitions?: number
  rest?: number
  format?: IFormat
  blocks?: IBlock[]
  exercises?: IExercise[]
  video?: string
}

export interface IFormat {}

export interface IExercise {
  id: string
  name: string
  description: string
  repetitions: number
  videos: string[]
  pictures: string[]
  targets: string[]
  baseExercise: {
    id: string
    name: string
  }
}

export interface IRating {
  value: number
}
